org.fourthline.cling.support.xmicrosoft

## Class AbstractMediaReceiverRegistrarService

- java.lang.Object
- - org.fourthline.cling.support.xmicrosoft.AbstractMediaReceiverRegistrarService

-     public abstract class AbstractMediaReceiverRegistrarService
      extends Object

  Basic implementation of service required by MSFT devices such as XBox 360.
  Author:
    Mario Franco

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PropertyChangeSupport` | `propertyChangeSupport`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMediaReceiverRegistrarService()`
    `protected` | `AbstractMediaReceiverRegistrarService(PropertyChangeSupport propertyChangeSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnsignedIntegerFourBytes` | `getAuthorizationDeniedUpdateID()`
    `UnsignedIntegerFourBytes` | `getAuthorizationGrantedUpdateID()`
    `PropertyChangeSupport` | `getPropertyChangeSupport()`
    `UnsignedIntegerFourBytes` | `getValidationRevokedUpdateID()`
    `UnsignedIntegerFourBytes` | `getValidationSucceededUpdateID()`
    `int` | `isAuthorized(String deviceID)`
    `int` | `isValidated(String deviceID)`
    `byte[]` | `registerDevice(byte[] registrationReqMsg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### propertyChangeSupport

          protected final PropertyChangeSupport propertyChangeSupport

  - ### Constructor Detail

    - #### AbstractMediaReceiverRegistrarService

          protected AbstractMediaReceiverRegistrarService()

    - #### AbstractMediaReceiverRegistrarService

          protected AbstractMediaReceiverRegistrarService(PropertyChangeSupport propertyChangeSupport)

  - ### Method Detail

    - #### getPropertyChangeSupport

          public PropertyChangeSupport getPropertyChangeSupport()

    - #### getAuthorizationGrantedUpdateID

          public UnsignedIntegerFourBytes getAuthorizationGrantedUpdateID()

    - #### getAuthorizationDeniedUpdateID

          public UnsignedIntegerFourBytes getAuthorizationDeniedUpdateID()

    - #### getValidationSucceededUpdateID

          public UnsignedIntegerFourBytes getValidationSucceededUpdateID()

    - #### getValidationRevokedUpdateID

          public UnsignedIntegerFourBytes getValidationRevokedUpdateID()

    - #### isAuthorized

          public int isAuthorized(String deviceID)

    - #### isValidated

          public int isValidated(String deviceID)

    - #### registerDevice

          public byte[] registerDevice(byte[] registrationReqMsg)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.